!set title=Proyección ortogonal inversa
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=Adeline GRELOT et Bernadette PERRIN-RIOU
email=bpr@math.u-psud.fr
computeanswer=yes
precision=10000

ansorder=r
varcnt=30
prevarcnt=26
postvarcnt=3
replycnt=1
choicecnt=0
conditioncnt=2
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

!readproc slib/matrix/invertible 3,2 
tmp0=$slib_out
tmp=!trim $(tmp0)
val6=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val6

tmp=!column 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val7=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val8=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!column 3 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val9=$(tmp0)
tmp0=!item 1 of $val7

val10=$[rint($(tmp0))]
tmp0=!item 2 of $val7

val11=$[rint($(tmp0))]
tmp0=!item 3 of $val7

val12=$[rint($(tmp0))]

!ifval $val12=0
tmp0=!randint 1, 3

tmp1=!randitem -1,1

val12=$[rint($(tmp0)*($(tmp1)))]
!endif
tmp0=!item 1 of $val9

val13=$[rint($(tmp0))]
tmp0=!item 2 of $val9

val14=$[rint($(tmp0))]
tmp0=!item 3 of $val9

val15=$[rint($(tmp0))]

!ifval $val13=0 and $val14=0 
tmp0=!randint 1, 3

tmp1=!randitem -1,1

val13=$[rint( $(tmp0)*($(tmp1)))]
!endif
val15=$[rint(-(($val13)*($val10)+($val14)*($val11)))]
val13=$[rint(($val13)*($val12))]
val14=$[rint(($val14)*($val12))]
val9=$val13 , $val14 , $val15
val16=$[rint($val13*($val10)+($val14)*($val11)+($val15)*($val12))]
tmp=!translate internal $	$ to ; in $val6

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val17=$(tmp0)
tmp0=!item 1 of $val17

tmp1=!item 2 of $val17

tmp2=!item 3 of $val17

tmp=!translate ";': to $     $ in ($val13)*($(tmp0)) + ($val14)*($(tmp1)) + ($val15)*($(tmp2))

tmp=!lower $tmp
tmp3=!exec maxima fullratsimp($tmp);
val18=$(tmp3)
tmp0=!item 1 of $val17

tmp1=!item 2 of  $val17

tmp2=!item 3 of $val17

tmp=!translate ";': to $     $ in ($(tmp0))^2 + ($(tmp1))^2 + ($(tmp2))^2

tmp=!lower $tmp
tmp3=!exec maxima fullratsimp($tmp);
val19=$(tmp3)
tmp0=!item 1 of $val17

t_=!rawmath $val13-($val18)*($(tmp0)/$val19)
val20=!exec pari print($t_)
tmp0=!item 2 of $val17

t_=!rawmath $val14-($val18)*($(tmp0)/$val19)
val21=!exec pari print($t_)
tmp0=!item 3 of $val17

t_=!rawmath $val15-($val18)*($(tmp0))/$val19
val22=!exec pari print($t_)
val23=$val20 , $val21 , $val22
tmp=!translate ";': to $     $ in ($val10)*x + ($val11)*y + ($val12)*z

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val24=$(tmp0)
tmp0=!item 1 of $val8

tmp1=!item 2 of  $val8

tmp2=!item 3 of $val8

tmp=!translate ";': to $     $ in ($(tmp0))*x + ($(tmp1))*y + ($(tmp2))*z

tmp=!lower $tmp
tmp3=!exec maxima fullratsimp($tmp);
val25=$(tmp3)
replytype1=vector
replyname1=vector de P
replygood1=?analyze 26
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea 
!insmath \RR^3
$() con su producto escalar usual, 	
!insmath P
$() el plano definido por la ecuación  <center>
!insmath $val24=0
$()</center> 	y 
!insmath P'
$() el plano definido por la ecuación <center>
!insmath $val25=0
$() </center>.		<p>Encontrar un vector no nulo 
!insmath v
$() de 
!insmath P
$() tal que la proyección ortogonal de	 
!insmath v
$() sobre 
!insmath P'
$() sea ($val20,$val21,$val22).	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
tmp0=!item 1 of $val26

tmp1=!item 2 of $val17

tmp2=!item 2 of $val26

tmp3=!item 1 of $val17

val27=$[($(tmp0)-($val20))*($(tmp1))	-($(tmp2)-($val21))*($(tmp3))]
tmp0=!item 1 of $val26

tmp1=!item 3 of $val17

tmp2=!item 3 of $val26

tmp3=!item 1 of $val17

val28=$[($(tmp0)-($val20))*($(tmp1))	-($(tmp2)-($val22))*($(tmp3))]
tmp0=!item 3 of $val26

tmp1=!item 2 of $val17

tmp2=!item 2 of $val26

tmp3=!item 3 of $val17

val29=$[($(tmp0)-($val22))*($(tmp1))	-($(tmp2)-($val21))*($(tmp3))]

!exit

:feedback

!exit

:test
tmp0=!item 1 of $val26

tmp1=!item 2 of $val26

tmp2=!item 3 of $val26

tmp3=!item 1 of $val26

tmp4=!item 2 of $val26

tmp5=!item 3 of $val26


!ifval $(tmp0)*($val10)+($(tmp1))*($val11)+	($(tmp2))*($val12)=0 and ($(tmp3))^2+($(tmp4))^2+($(tmp5))^2 !=0
 condtest1=1
!else
 condtest1=0
!endif
condname1=($val26) pertenece a \(P)  y es no nulo ?

!ifval $val27=0 and $val28=0 and $val29=0
 condtest2=1
!else
 condtest2=0
!endif
condname2=La proyección ortogonal de ($val26) sobre \(P') es ($val23) ?

!exit

:stat
vsavelist=10,11,12,17,20,21,22,23,24,25,26
embedcnt=0
